package ru.yandex.autotests.directapi.model.api5.changes;

import com.yandex.direct.api.v5.changes.CheckCampaignsRequest;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

/**
 * Created by ginger on 30.03.15.
 */
public class CheckCampaignsRequestMap extends ModelBeanMap<CheckCampaignsRequestMap> {

    public static final String TIMESTAMP = "timestamp";


    public CheckCampaignsRequestMap() {
        super();
        setBean(new CheckCampaignsRequest());
    }

    public CheckCampaignsRequestMap(CheckCampaignsRequest checkCampaignsRequest) {
        super();
        setBean(checkCampaignsRequest);
    }

    public CheckCampaignsRequestMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public CheckCampaignsRequestMap withTimestamp(String timestamp) {
        this.put(TIMESTAMP, timestamp);
        return this;
    }
}
